# AREA A1: the import statements
# import statements needed by esoreflex
import reflex
import sys
from optparse import OptionParser
import json
import os

# Import statements needed by the 
# algorithm to execute
from astropy.io import fits as fits
import numpy as np

# END OF AREA A1
# AREA A2: the algorithm(s).
# NO ALGORITHM IN THIS SCRIPT
# END OF AREA A2

# AREA A3: the interface.
if __name__ == '__main__':
    # ***  PART P1: Input/output ports ***

    #Define inputs/outputs
    parser = reflex.ReflexIOParser()
    #parser.add_option("-i", "--in_sof", dest="in_sof")
    #parser.add_output("-o", "--out_sof", dest="out_sof")
    # ports for input/output parameters
    parser.add_input("-p", "--in_sop", dest="in_sop", type='string')
    parser.add_output("-q", "--model_resolution", dest="model_resolution", type='string')
    inputs = parser.get_inputs()
    params  = inputs.in_sop
    outputs = parser.get_outputs()
    values= {}
    for param in params:
          values[param.name]= param.value
        
    P1 = values['espda.espda_fit_line.model_resol']
    #print(P1)
    outputs.model_resolution=P1
    parser.write_outputs()
    sys.exit()
#END AREA 3


